Subject: RE: [Ltru] Re: Note to RFC editor in initial registry

From: "Addison Phillips" <[email-masked]>
Date: Sat, 24 Sep 2005 18:55:21 -0700

Sounds fine to me. 

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: Doug Ewell [mailto:[email-masked]]
> Sent: samedi 24 septembre 2005 18:44
> To: LTRU Working Group
> Cc: Addison Phillips; John C Klensin
> Subject: Re: [Ltru] Re: Note to RFC editor in initial registry
> 
> Addison Phillips <addison dot phillips at quest dot com> wrote:
> 
> > In any case, you don't need to adopt John Klensin's exact words. It
> > seems to me that he was unaware of some of the details of registration
> > and proposed text that seemed fitting. I would suggest that you just
> > modify the proposed wording and we move along. How about:
> >
> > --
> > 3.  The initial set of subtags in the registry, which were specified
> > by this document, are those records in the IANA registry [IANA-
> > registry] with "Added" field-values before 2005-07-11.  Note that
> > [ltru-registry, Section 3.1] requires that an "Added" field appear in
> > each registration record and that Section 3.3(1) specifies that field
> > must not be changed after registration. (Other fields in these records
> > may have been modified at a later date, subject to the restrictions in
> > Section 3.4 of [ltru-registry].)
> > --
> >
> > NB> the date 2005-07-11 is "Date B + 1"
> 
> That's OK with me, except I'm still worried about explicitly specifying
> the date.  That gives us (or the RFC Editor) one more opportunity to
> forget to update "all" the dates.  How about:
> 
>     ... with "Added" field values no later than the date of publication
>     of this document.
> 
> This assumes that the File-Date and Added dates for subtags (not
> grandfathered or redundant tags) in the initial registry, the date of
> publication of draft-initial, and the date of publication of
> draft-registry are all the same.  I think we have been making that
> assumption all along, and need to be able to rely on it.
> 
> I would also remove the parentheses from the last sentence, to avoid
> de-emphasizing it -- because I think it is important -- and append
> something like:
> 
>     Because of this, it may not be possible to use a future version of
>     the Language Subtag Registry to reconstruct an exact copy of the
>     initial registry contents.
> 
> Comments?
> 
> --
> Doug Ewell
> Fullerton, California
> http://users.adelphia.net/~dewell/
> 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: John C Klensin <[email-masked]>
Date: Sun, 25 Sep 2005 06:07:41 -0400

For the record, this works for me too.  The attempt to specify 
how the initial registry could be reconstructed was only on the 
basis that one might want to have that if the original intention 
was to publish the list as an RFC.   If you didn't intend that, 
or don't think it desirable, then fine -- I really have no 
position on that subject.

   john

--On Saturday, September 24, 2005 18:55 -0700 Addison Phillips 
<[email-masked]> wrote:

>> > In any case, you don't need to adopt John Klensin's exact
>> > words. It seems to me that he was unaware of some of the
>> > details of registration and proposed text that seemed
>> > fitting. I would suggest that you just modify the proposed
>> > wording and we move along. How about:
>> >
>> > --
>> > 3.  The initial set of subtags in the registry, which were
>> > specified by this document, are those records in the IANA
>> > registry [IANA- registry] with "Added" field-values before
>> > 2005-07-11.  Note that [ltru-registry, Section 3.1]
>> > requires that an "Added" field appear in each registration
>> > record and that Section 3.3(1) specifies that field must
>> > not be changed after registration. (Other fields in these
>> > records may have been modified at a later date, subject to
>> > the restrictions in Section 3.4 of [ltru-registry].)
>> > --
>> >
>> That's OK with me, except I'm still worried about explicitly
>> specifying the date.  That gives us (or the RFC Editor) one
>> more opportunity to forget to update "all" the dates.  How
>> about:
>>
>>     ... with "Added" field values no later than the date of
>>     publication of this document.
>>
>> This assumes that the File-Date and Added dates for subtags
>> (not grandfathered or redundant tags) in the initial
>> registry, the date of publication of draft-initial, and the
>> date of publication of draft-registry are all the same.  I
>> think we have been making that assumption all along, and need
>> to be able to rely on it.
>>
>> I would also remove the parentheses from the last sentence,
>> to avoid de-emphasizing it -- because I think it is important
>> -- and append something like:
>>
>>     Because of this, it may not be possible to use a future
>>     version of the Language Subtag Registry to reconstruct an
>>     exact copy of the initial registry contents.
>>
>> Comments?
>>
>> --
>> Doug Ewell
>> Fullerton, California

---

From: Mark Davis <[email-masked]>
Date: Sun, 25 Sep 2005 11:21:51 -0700

Me too.

Addison Phillips wrote:
> ------------------------------------------------------------------------
>